class $File {
  constructor(AV, filename, file, contentType, request, that) {
    this.AV = AV;
    this.$http = new AV.File(filename, file, contentType || '');
    this.request = request;
    this.that = that;
  }

  save() {
    const {
      $http,
      request,
      that,
    } = this;
    const dispatchRequest = () => $http.save();
    return request.call(that, dispatchRequest);
  }
}
export default $File;
